program UIP;

uses
  Forms,
  IniFiles,
  SysUtils,
  ShellAPI,
  Controls,
  kuModul,
  kuShell,
  kuTray,
  Main in 'Main.pas' {Form1},
  iLanguage in 'iLanguage.pas',
  Settings in 'Settings.pas' {FormSettings},
  About in 'About.pas' {FormAbouter},
  Individual in 'Individual.pas';

{$R *.res}


var
  i: integer;
  s: string;
  ini: TIniFile;


begin
Application.Initialize;
Application.Title := 'UIP';
Application.CreateForm(TForm1, Form1);
Application.CreateForm(TFormSettings, FormSettings);




{$REGION '  settings.ini   '}
//   ini        


// 
Form_iniLoad(Form1, Form1.Name);


s := ExtractFilePath(Application.ExeName) + 'settings.ini';

if FileExists(s)

then
begin

  ini := TiniFile.Create( s );

  Try

      //Lng
      s := Path_RelativToFull( ini.ReadString('Settings', 'Language', '') );
      if FileExists(s) = True
      then Lng_SETUP(s);


      //Split_X
      Form1.Panel_R.Width := ini.ReadInteger( 'Settings', 'Split_X', 200 );


      //Auto Open Last File
      Form1.Act_Set_AutoOpenLastFile.Checked := ini.ReadBool( 'settings', 'AutoOpenLastFile', True );



      DragAcceptFiles(Form1.Handle, true); //1)   Drop 2)      

      if ParamCount > 0
  
      then//     
      begin
          s := ParamStr(1);
  
          for i := 2 to ParamCount
          do s := s + ' ' + ParamStr(i);

//          File_Open(s);
      end

      else//Last Opened
      begin
          if Form1.Act_Set_AutoOpenLastFile.Checked
          then
          begin
               s := Path_RelativToFull(  ini.ReadString('Settings', 'LastOpenedKat', '')  );

//               File_Open(s);
          end

      end;


      //AutoStart
      Form1.Act_Set_Autostart.Checked := Autostart_Is(_Program_Name, Application.ExeName);


      //Close to tray
      Form1.Act_Set_CloseToTray.Checked := ini.ReadBool('Settings', 'CloseToTray', False);
      Form1.CloseToTray := Form1.Act_Set_CloseToTray.Checked;


      //IconIn
      i := ini.ReadInteger( 'Settings', 'IconIn', 1 );
      case i
      of
        0: _IconIn := inNone;
        1: _IconIn := inBar;
        2: _IconIn := inTray;
        3: _IconIn := inBarAndTray;
      end;


      //Run minimized to tray
      Form1.Act_Set_RunMinimizedToTray.Checked := ini.ReadBool('Settings', 'RunMinimized', False);
      if Form1.Act_Set_RunMinimizedToTray.Checked then MinimizeToTray;


      finally
            ini.Free;
      end;

end

else
begin
  DragAcceptFiles(Form1.Handle, true); //1)   Drop 2)      
end;


_PopupMenuTray := Form1.pmTray;



{$ENDREGION}




Application.Run;

end.
