unit kuLanguageUni;
{
version 2014.03.20
     ,         .
lng    d UTF8 (+BOM)
}

interface

uses IniFiles, SysUtils, Classes, Forms;

function Lng_Translate_Word(ini: TStringList; var Wrd: string; Zna: string; DoRedLine: Boolean = True): Boolean;

procedure Lng_Translate_uniWords(ini: TStringList);
procedure Lng_Translate_kuFontDialog(ini: TStringList);
procedure Lng_Translate_kuShellListView(ini: TStringList);
procedure Lng_Translate_LabelLink(ini: TStringList);

procedure Lng_Translate_FormY;
procedure Lng_Translate_FormYN;
procedure Lng_Translate_FormYNC;
procedure Lng_Translate_FormRenamer;
procedure Lng_Translate_FormKuShellDialog;



var

_Lng_Path  : string = ''; //      .



{$REGION '   uni Words   '}

_Lng             : string = 'Language';
_Lng_ChooseFile  : string = 'Choose file of language';
_Lng_FileAbsent  : string = 'File of language not found!';
_Lng_Filter      : string = 'Language (*.lng)|*.lng|';
_Lng_Setuped     : string = 'Language is setuped';
_Lng_CanDropOnly : string = 'Can darg & drop only .lng file';
_Lng_RedLineDelimiter : string = '%%%';

_Program                : String = 'Program';
_Program_About          : String = 'About program';
_Program_Mail           : String = 'Send mail to autor';
_Program_Sait           : String = 'Program sait';
_Program_Help           : String = 'Help';
_Program_OpenInExplorer : String = 'Open in explorer';
_Program_Close          : string = 'Close porogram';

_Selecting     : string = 'Selecting';
_Select        : string = 'Select';
_SelectAll     : string = 'Select All';
_SelectDe      : string = 'Deselect';
_SelectInvers  : string = 'Select Invers';

_Maximize       : string = 'Maximize';
_Minimize       : string = 'Minimize';
_FullScreen     : string = 'Full Screen';
_MinimizeToTray : string = 'Minimize to Tray';

_MoveUp    : string = 'Move Up';
_MoveDn    : string = 'Move Dn';
_Prev      : string = 'Previous';
_Next      : string = 'Next';
_First     : string = 'First';
_Last      : string = 'Last';
_TabNext   : string = 'Tab Next';
_TabPrev   : string = 'Tab Previous';
_Expand    : string = 'Expand';
_Collapse  : string = 'Collapse';

_Copy      : string = 'Copy';
_Cut       : string = 'Cut';
_Paste     : string = 'Paste';

_Name      : string = 'Name';
_Type      : string = 'Type';
_Size      : string = 'Size';

_New         : string = 'New';
_Save        : string = 'Save';
_SaveAs      : string = 'Save as';
_Open        : string = 'Open';
_Close       : string = 'Close';
_Import      : string = 'Import';
_Export      : string = 'Export';
_Information : string = 'Information';

_Add       : string = 'Add';
_Edit      : string = 'Edit';
_Rename    : string = 'Rename';
_Delete    : string = 'Delete';
_Clear     : string = 'Clear';
_Insert    : string = 'Insert';
_Vizible   : string = 'Vizible';
_Error     : string = 'Error';
_Apply     : string = 'Apply';
_Ok        : string = 'Ok';
_Cancel    : string = 'Cancel';
_Yes       : string = 'Yes';
_No        : string = 'No';
_Enter     : string = 'Enter';
_Execute   : string = 'Execute';
_Refresh   : string = 'Refresh';
_Properties : string = 'Properties';
_Date      : string = 'Date';
_Goto      : string = 'Goto';
_Move      : string = 'Move';
_Warning   : string = 'Warning';
_Version   : string = 'version';
_View      : string = 'View';
_OpenInExplorer   : string = 'Open in explorer';


{$ENDREGION}




implementation


uses //     :
kuModul,
kuY,
kuYN,
kuYNC,
kuRenamer,
kuFontDialog,
kuShellListView,
kuShellDialog,
kuLabelLink
;





//LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL Word
function Lng_Translate_Word(ini: TStringList; var Wrd: string; Zna: string; DoRedLine: Boolean = True): Boolean;
var t : string;
begin


Result := False;

t := Strs_Value(Zna, ini);

if t <> ''
then
begin
      if DoRedLine
//      then Wrd := Str_Sub_Change(t, _Lng_RedLine_Delimiter, AZ)       //uses Modul
      then Wrd := StringReplace(t, _Lng_RedLineDelimiter, AZ, [rfReplaceAll]) //uses SysUtils
      else Wrd := t;

      Result := True;
end

else Strs_AddNameValue(Zna, '', 'Untranslated', ini);

end;





{$REGION ' uni Vars '}


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ uni Word Translate
procedure Lng_Translate_uniWords(ini: TStringList);
//         
begin


{$REGION ' RedLineDelimiter -    '}
{
         :
1)  RedLineDelimiter   lng 
2)          
}
Lng_Translate_Word(ini, _Lng_RedLineDelimiter, 'RedLineDelimiter', False);
{$ENDREGION}


//Prog
Lng_Translate_Word(ini, _Program,                 'Program'                   );
Lng_Translate_Word(ini, _Program_About,           'Program_About'             );
Lng_Translate_Word(ini, _Program_Mail,            'Program_Mail'              );
Lng_Translate_Word(ini, _Program_Sait,            'Program_Sait'              );
Lng_Translate_Word(ini, _Program_OpenInExplorer,  'Program_OpenInExplorer'    );
Lng_Translate_Word(ini, _Program_Close,           'Program_Close'             );


//Lng
Lng_Translate_Word(ini, _Lng,                'Lng'                  );
Lng_Translate_Word(ini, _Lng_ChooseFile,     'Lng_ChooseFile'       );
Lng_Translate_Word(ini, _Lng_FileAbsent,     'Lng_FileAbsent'       );
Lng_Translate_Word(ini, _Lng_Filter,         'Lng_Filter'           );
Lng_Translate_Word(ini, _Lng_Setuped,        'Lng_Setuped'          );
Lng_Translate_Word(ini, _Lng_CanDropOnly,    'Lng_CanDropOnly'      );


//uni Words
Lng_Translate_Word(ini, _New,         'New'         );
Lng_Translate_Word(ini, _Open,        'Open'        );
Lng_Translate_Word(ini, _Save,        'Save'        );
Lng_Translate_Word(ini, _SaveAs,      'SaveAs'      );
Lng_Translate_Word(ini, _Import,      'Import'      );
Lng_Translate_Word(ini, _Export,      'Export'      );
Lng_Translate_Word(ini, _Close,       'Close'       );
Lng_Translate_Word(ini, _Information, 'Information' );

Lng_Translate_Word(ini, _Copy,      'Copy'      );
Lng_Translate_Word(ini, _Cut,       'Cut'       );
Lng_Translate_Word(ini, _Paste,     'Paste'     );

Lng_Translate_Word(ini, _MoveUp,    'MoveUp'    );
Lng_Translate_Word(ini, _MoveDn,    'MoveDn'    );
Lng_Translate_Word(ini, _Prev,      'Prev'      );
Lng_Translate_Word(ini, _Next,      'Next'      );
Lng_Translate_Word(ini, _First,     'First'     );
Lng_Translate_Word(ini, _Last,      'Last'      );
Lng_Translate_Word(ini, _TabPrev,   'TabPrev'   );
Lng_Translate_Word(ini, _TabNext,   'TabNext'   );
Lng_Translate_Word(ini, _Expand,    'Expand'     );
Lng_Translate_Word(ini, _Collapse,  'Collapse'   );
Lng_Translate_Word(ini, _Maximize,       'Maximize'       );
Lng_Translate_Word(ini, _Minimize,       'Minimize'       );
Lng_Translate_Word(ini, _FullScreen,     'FullScreen'     );
Lng_Translate_Word(ini, _MinimizeToTray, 'MinimizeToTray' );


Lng_Translate_Word(ini, _Add,         'Add'         );
Lng_Translate_Word(ini, _Edit,        'Edit'        );
Lng_Translate_Word(ini, _Name,        'Name'        );
Lng_Translate_Word(ini, _Type,        'Type'        );
Lng_Translate_Word(ini, _Size,        'Size'        );
Lng_Translate_Word(ini, _Rename,      'Rename'      );
Lng_Translate_Word(ini, _Delete,      'Delete'      );
Lng_Translate_Word(ini, _Insert,      'Insert'      );
Lng_Translate_Word(ini, _Clear,       'Clear'       );
Lng_Translate_Word(ini, _Date,        'Date'        );
Lng_Translate_Word(ini, _Vizible,     'Vizible'     );
Lng_Translate_Word(ini, _View,        'View'        );
Lng_Translate_Word(ini, _Error,       'Error'       );
Lng_Translate_Word(ini, _Apply,       'Apply'       );
Lng_Translate_Word(ini, _Ok,          'Ok'          );
Lng_Translate_Word(ini, _Yes,         'Yes'         );
Lng_Translate_Word(ini, _No,          'No'          );
Lng_Translate_Word(ini, _Cancel,      'Cancel'      );
Lng_Translate_Word(ini, _Enter,       'Enter'       );
Lng_Translate_Word(ini, _Execute,     'Execute'     );
Lng_Translate_Word(ini, _Refresh,     'Refresh'     );
Lng_Translate_Word(ini, _Properties,  'Properties'  );
Lng_Translate_Word(ini, _Goto,        'Goto'        );
Lng_Translate_Word(ini, _Move,        'Move'        );
Lng_Translate_Word(ini, _Warning,     'Warning'     );
Lng_Translate_Word(ini, _OpenInExplorer,     'OpenInExplorer'     );
Lng_Translate_Word(ini, _Selecting,    'Selecting'    );
Lng_Translate_Word(ini, _Select,       'Select'       );
Lng_Translate_Word(ini, _SelectAll,    'SelectAll'    );
Lng_Translate_Word(ini, _SelectDe,     'SelectDe'     );
Lng_Translate_Word(ini, _SelectInvers, 'SelectInvers' );


end;



//------------------------------------------------------------------------------ kuFontDialog
procedure Lng_Translate_kuFontDialog(ini: TStringList);
//    kuLanguage   kuFontDialog
begin

Lng_Translate_Word(ini, kuFontDialog.__FormCaption, 'kuFontDialog_FormCaption'   );
//Lng_Translate_Word(ini, kuFontDialog.__Name,        'kuFontDialog_Name'      );
//Lng_Translate_Word(ini, kuFontDialog.__Size,        'kuFontDialog_Size'      );
Lng_Translate_Word(ini, kuFontDialog.__Color,       'kuFontDialog_Color'     );

//Lng_Translate_Word(ini, kuFontDialog.__Style,       'kuFontDialog_Style'     );
Lng_Translate_Word(ini, kuFontDialog.__Bold,        'kuFontDialog_Bold'      );
Lng_Translate_Word(ini, kuFontDialog.__Italic,      'kuFontDialog_Italic'    );
Lng_Translate_Word(ini, kuFontDialog.__Underline,   'kuFontDialog_Underline' );
Lng_Translate_Word(ini, kuFontDialog.__Strike,      'kuFontDialog_Strike'    );

Lng_Translate_Word(ini, kuFontDialog.__SizeUp,      'kuFontDialog_SizeUp'    );
Lng_Translate_Word(ini, kuFontDialog.__SizeDn,      'kuFontDialog_SizeDn'    );

Lng_Translate_Word(ini, kuFontDialog.__ExampleHint, 'kuFontDialog_ExampleHint' );
Lng_Translate_Word(ini, kuFontDialog.__Example,     'kuFontDialog_Example'     );

Lng_Translate_Word(ini, kuFontDialog.__Ok,     'kuFontDialog_Ok'      );
Lng_Translate_Word(ini, kuFontDialog.__Cancel, 'kuFontDialog_Cancel'  );

end;



//------------------------------------------------------------------------------ kuShellListView
procedure Lng_Translate_kuShellListView(ini: TStringList);
//    kuLanguage   kuShellListView
begin

Lng_Translate_Word(ini, _lvs_NewFolderName,      'lvs_NewFolderName'     );
Lng_Translate_Word(ini, _lvs_CreateNewFolder,    'lvs_CreateNewFolder'   );
Lng_Translate_Word(ini, _lvs_CreateNewTxt,       'lvs_CreateNewTxt'      );
Lng_Translate_Word(ini, _lvs_DirAlreadyExist,    'lvs_DirAlreadyExist'   );
Lng_Translate_Word(ini, _lvs_DirCanNotCreate,    'lvs_DirCanNotCreate'   );
Lng_Translate_Word(ini, _lvs_ShowHide,           'lvs_ShowHide'          );
Lng_Translate_Word(ini, _lvs_Dir_Up,             'lvs_Dir_Up'            );

Lng_Translate_Word(ini, _LV_Style,      'LV_Style'                   );
Lng_Translate_Word(ini, _LV_StyleTable, 'LV_StyleTable'              );
Lng_Translate_Word(ini, _LV_StyleIcons, 'LV_StyleIcons'              );
Lng_Translate_Word(ini, _LV_StyleCols,  'LV_StyleCols'               );
Lng_Translate_Word(ini, _LV_StyleRows,  'LV_StyleRows'               );
//Lng_Translate_Word(ini, _LV_Col_Name,  'LV_Col_Name'               );
//Lng_Translate_Word(ini, _LV_Col_Type,  'LV_Col_Type'               );
//Lng_Translate_Word(ini, _LV_Col_Size,  'LV_Col_Size'               );


Lng_Translate_Word(ini, _LVS_DIR_EXT_POSTFIX,   'LVS_DIR_EXT_POSTFIX'   ); //      LV

end;




//------------------------------------------------------------------------------ kuLabelLink
procedure Lng_Translate_LabelLink(ini: TStringList);
//    kuLanguage   kuShellListView
begin

Lng_Translate_Word(ini, _Link_Execute,         '_Link_Execute'           );
Lng_Translate_Word(ini, _Link_CopyToClipboard, '_Link_CopyToClipboard'   );

end;



{$ENDREGION}






{$REGION ' Dynamic Forms '}





//============================================================================== Form Y
procedure Lng_Translate_FormY;
//       
begin

FormY.btnp_Y.Caption := _OK;

end;



//============================================================================== Form YN
procedure Lng_Translate_FormYN;
//       
begin

FormYN.btnY.Caption := _Yes;
FormYN.btnN.Caption := _No;

end;



//============================================================================== Form YNC
procedure Lng_Translate_FormYNC;
//       
begin

FormYNC.btnY.Caption := _Yes;
FormYNC.btnN.Caption := _No;
FormYNC.btnC.Caption := _Cancel;

end;



//============================================================================== Form Renamer
procedure Lng_Translate_FormRenamer;
//       
begin

FormRenamer.btnY.Caption := _Yes;
FormRenamer.btnN.Caption := _No;

end;



//============================================================================== Form KuShellDialog
procedure Lng_Translate_FormKuShellDialog;
//FormKuShellDialog       
begin with FormKuShellDialog do begin

//FormKuShellDialog.Caption := _Iconize_Special;
Act_LVS_Execute.Caption := _Execute;
Act_LVS_Execute.Hint := _Execute;
Act_LVS_Delete.Caption := _Delete;
Act_LVS_Delete.Hint := _Delete;
Act_LVS_Rename.Caption := _Rename;
Act_LVS_Rename.Hint := _Rename;

Act_LVS_NewFolder.Caption := _lvs_CreateNewFolder;
Act_LVS_NewFolder.Hint := _lvs_CreateNewFolder;
Act_LVS_NewTxt.Caption := _lvs_CreateNewTxt;
Act_LVS_NewTxt.Hint := _lvs_CreateNewTxt;

Act_LVS_Copy.Caption := _Copy;
Act_LVS_Copy.Hint := _Copy;
Act_LVS_Cut.Caption := _Cut;
Act_LVS_Cut.Hint := _Cut;
Act_LVS_Paste.Caption := _Paste;
Act_LVS_Paste.Hint := _Paste;

tbStyle.Hint := _LV_Style;
Act_LVS_StyleTable.Caption := _LV_StyleTable;
Act_LVS_StyleTable.Hint := _LV_StyleTable;
Act_LVS_StyleIcons.Caption := _LV_StyleIcons;
Act_LVS_StyleIcons.Hint := _LV_StyleIcons;
Act_LVS_StyleCols.Caption  := _LV_StyleCols;
Act_LVS_StyleCols.Hint  := _LV_StyleCols;
Act_LVS_StyleRows.Caption  := _LV_StyleRows;
Act_LVS_StyleRows.Hint  := _LV_StyleRows;

Act_LVS_ShowHide.Caption := _lvs_ShowHide;
Act_LVS_ShowHide.Hint := _lvs_ShowHide;

Act_LVS_OpenInExplorer.Caption := _OpenInExplorer;
Act_LVS_OpenInExplorer.Hint := _OpenInExplorer;
Act_LVS_Refresh.Caption := _Refresh;
Act_LVS_Refresh.Hint := _Refresh;
Act_LVS_Info.Caption  := _Properties;
Act_LVS_Info.Hint  := _Properties;


//Act_LVS_Select_SUB.Caption   := _Selecting;
//Act_LVS_SelectAll.Caption    := _SelectAll;
//Act_LVS_SelectDe.Caption     := _SelectDe;
//Act_LVS_SelectInvers.Caption := _SelectInvers;


//ico LVS
LVS.Columns[0].Caption := _Name;
LVS.Columns[1].Caption := _Type;
LVS.Columns[2].Caption := _Size;


Act_OK.Hint := btnOK.Caption;

end;end;





{$ENDREGION}





end.

