unit kuRenamer;
{
 2013.09.15
     .

:  
kuzduk@mail.ru
kuzduk.000webhostapp.com
}

interface

uses
  Forms, StdCtrls, Classes, Controls, Buttons, ExtCtrls, Windows, Menus
  , kuModul
  ;

type
  TFormRenamer = class(TForm)

    Edit1: TEdit;
    Panel1: TPanel;
    btnN: TBitBtn;
    btnY: TBitBtn;
    PopupMenu1: TPopupMenu;
    pmY: TMenuItem;
    pmN: TMenuItem;
    pmSelectAll2: TMenuItem;
    pmSelectAll: TMenuItem;
    pmDeselect: TMenuItem;
    pmDeselect2: TMenuItem;

    procedure pmYClick(Sender: TObject);
    procedure pmNClick(Sender: TObject);
    procedure pmSelectAll2Click(Sender: TObject);
    procedure pmDeselectClick(Sender: TObject);
    procedure pmSelectAllClick(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);

  end;

var
  FormRenamer: TFormRenamer;
  __FastCreate: Boolean;

  function Renamer(const FormCaption, TextEdit: String; var NewName: String; TextSelStart : integer = -1; TextSelLength : integer = -1) : Boolean;

implementation

uses kuLanguageUni;

{$R *.dfm}




//============================================================================== Renamer
function Renamer(const FormCaption, TextEdit: string; var NewName: string; TextSelStart : integer = -1; TextSelLength : integer = -1) : Boolean;
{
  , , :  ,   - ,     -...

FormCaption -  
NewName  -  ,      "Ok"
TextEdit   -   TEdit
TextSelStart  -       TEdit
TextSelLength -     TEdit

 TextSelStart  TextSelLength - , ..
       ( =0),     TEdit.

Edit1.AutoSelect = False -          
}
begin

Application.CreateForm(TFormRenamer, FormRenamer);

FormRenamer.Tag := 0;  {  Tag  Result c : 0=False, 1=True}

FormRenamer.Caption := FormCaption;
FormRenamer.Edit1.Text := TextEdit;
__FastCreate := False;


Lng_Translate_FormRenamer;


FormRenamer.ActiveControl := FormRenamer.Edit1;


if (TextSelStart = -1) or (TextSelLength = -1)

then// 
begin
    FormRenamer.Edit1.SelStart := 0;
    FormRenamer.Edit1.SelLength := Length(TextEdit);
end

else// 
begin
    FormRenamer.Edit1.SelStart := TextSelStart;
    FormRenamer.Edit1.SelLength := TextSelLength;
end;


FormRenamer.ShowModal;



{ . . . }



if FormRenamer.Tag = 1

then
begin
     Result  := True;
     NewName := FormRenamer.Edit1.Text;
end

else Result := False;


FormRenamer.Destroy;

end;




//------------------------------------------------------------------------------ Y
procedure TFormRenamer.pmYClick(Sender: TObject);
begin
FormRenamer.Tag := 1;
FormRenamer.Close;
end;



//------------------------------------------------------------------------------ N
procedure TFormRenamer.pmNClick(Sender: TObject);
begin
FormRenamer.Tag := 0;
FormRenamer.Close;
end;




//------------------------------------------------------------------------------ Select All
procedure TFormRenamer.pmSelectAllClick(Sender: TObject);
begin
Edit1.SelectAll;
end;


//------------------------------------------------------------------------------ Select All 2
procedure TFormRenamer.pmSelectAll2Click(Sender: TObject);
var i: integer;

begin

i := pos_z('.', Edit1.Text);

if i <> 0 then

  if Edit1.SelStart = 0

  then
  begin
      if Edit1.SelLength = Length(Edit1.Text)//  

      then
      begin
          Edit1.SelLength := i - 1// 
      end

      else//   
      begin
         if Edit1.SelLength = i - 1//  

         then// 
         begin
            Edit1.SelStart := i;
            Edit1.SelLength := Length(Edit1.text)

         end
         else  Edit1.SelLength := Length(Edit1.Text)
      end;
  end

  else
  begin
//      if (Edit1.SelStart = i) and (Edit1.SelLength = Length(Edit1.Text) - i)
//      then
      Edit1.SelectAll;
  end;
end;



//------------------------------------------------------------------------------ Deselect
procedure TFormRenamer.pmDeselectClick(Sender: TObject);
var i: integer;
begin
i := Edit1.SelStart + Edit1.SelLength;
Edit1.SelLength := 0;
Edit1.SelStart := i;
end;



//------------------------------------------------------------------------------ Deselect
procedure TFormRenamer.Edit1KeyPress(Sender: TObject; var Key: Char);
var k: integer;

 begin
if (Key = #127) and CtrlDown
then
begin
//    Edit1.Text := Copy(Edit1.Text, 1, Length(Edit1.Text) - 1);
//    k :=  Edit1.SelStart;
//    Edit1.Text := Str_DeleteWordBack(Edit1.Text, k);
//    Edit1.SelStart := k;
    Key := #0;
end;
end;


end.
